%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           pulsecaster
Version:        0.1.6
Release:        2%{?dist}
Summary:        A PulseAudio-based podcast recorder

Group:          Development/Languages
License:        GPLv3+
URL:            http://fedorahosted.org/pulsecaster
Source0:        https://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
BuildRequires:  desktop-file-utils

Requires:       pulseaudio-libs >= 0.9.15
Requires:       pygtk2 >= 2.14
Requires:       dbus-python >= 0.83
Requires:	gstreamer-python >= 0.10

%description
PulseCaster is a simple PulseAudio-based tool for making podcast
interviews. It is designed for ease of use and simplicity. The user
makes a call with a preferred PulseAudio-compatible Voice-over-IP
(VoIP) softphone application such as Ekiga or Twinkle, and then starts
PulseCaster to record the conversation to a multimedia file. The
resulting file can be published as a podcast or distributed in other
ways.

%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
desktop-file-install \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
    %{name}.desktop

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO
%{python_sitelib}/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*


%changelog
* Thu Jun 10 2010 Paul W. Frields <stickster@gmail.com> - 0.1.6-2
- Fix missing dependency (#602593)

* Thu May  6 2010 Paul W. Frields <stickster@gmail.com> - 0.1.6-1
- New upstream 0.1.6

* Wed Mar 31 2010 Paul W. Frields <stickster@gmail.com> - 0.1.5-1
- New upstream 0.1.5, fixes desktop entry file

* Sat Feb 20 2010 Paul W. Frields <stickster@gmail.com> - 0.1.4-1
- Initial RPM release

